# H501_UsageIndication Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UsageIndication:

List of all members.

## Public Types

enum | OptionalFields { e_accessTokens, e_srcInfo, e_startTime, e_endTime, e_terminationCause }

## Public Member Functions

| H501_UsageIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_CallInformation | m_callInfo
H501_ArrayOf_AccessToken | m_accessTokens
H501_Role | m_senderRole
H501_UsageCallStatus | m_usageCallStatus
H501_PartyInformation | m_srcInfo
H501_PartyInformation | m_destAddress
H235_TimeStamp | m_startTime
H235_TimeStamp | m_endTime
H501_TerminationCause | m_terminationCause
H501_ArrayOf_UsageField | m_usageFields

## Member Enumeration Documentation

enum H501_UsageIndication::OptionalFields

Enumerator:

  e_accessTokens |
  e_srcInfo |
  e_startTime |
  e_endTime |
  e_terminationCause |

## Constructor & Destructor Documentation

H501_UsageIndication::H501_UsageIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UsageIndication::GetDataLength | ( |  | ) | const

PBoolean H501_UsageIndication::Decode | ( | PASN_Stream & | strm | ) |

void H501_UsageIndication::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UsageIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_UsageIndication::Compare | ( | const PObject & | obj | ) | const

PObject* H501_UsageIndication::Clone | ( |  | ) | const

## Member Data Documentation

H501_CallInformation H501_UsageIndication::m_callInfo

H501_ArrayOf_AccessToken H501_UsageIndication::m_accessTokens

H501_Role H501_UsageIndication::m_senderRole

H501_UsageCallStatus H501_UsageIndication::m_usageCallStatus

H501_PartyInformation H501_UsageIndication::m_srcInfo

H501_PartyInformation H501_UsageIndication::m_destAddress

H235_TimeStamp H501_UsageIndication::m_startTime

H235_TimeStamp H501_UsageIndication::m_endTime

H501_TerminationCause H501_UsageIndication::m_terminationCause

H501_ArrayOf_UsageField H501_UsageIndication::m_usageFields

The documentation for this class was generated from the following file:

- h501.h